Package org.apache.solr.client.solrj.io.eval

## Interface RecursiveBooleanEvaluator.Checker

All Known Subinterfaces:
  `RecursiveBooleanEvaluator.BooleanChecker`, `RecursiveBooleanEvaluator.NullChecker`, `RecursiveBooleanEvaluator.NumberChecker`, `RecursiveBooleanEvaluator.StringChecker`

Enclosing class:
  RecursiveBooleanEvaluator

    public static interface RecursiveBooleanEvaluator.Checker

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`boolean` `isCorrectType​(Object value)`
`default boolean` `isNullAllowed()`
`boolean` `test​(Object left, Object right)`

### Method Detail

#### isNullAllowed

    default boolean isNullAllowed()

#### isCorrectType

    boolean isCorrectType​(Object value)

#### test

    boolean test​(Object left,
                 Object right)